Subject: bug#31231: Symbol search broken in NEWS and ChangeLogs

From: Juri Linkov <[email-masked]>
Date: Mon, 23 Apr 2018 23:16:09 +0300

>> >> 2. In these files replace apostrophes by “LEFT SINGLE QUOTATION MARK” and
>> >>    “RIGHT SINGLE QUOTATION MARK” like are used in Info and Help buffers.
>> >
>> > Thanks, but I don't like any of these 2 alternatives.  The first one
>> > will get in the way of spell-checking words with an apostrophe, the
>> > second one will make it harder to view the files on text terminals
>> > that don't support UTF-8.
>> 
>> But how these text terminals display Unicode quotes in Info manuals?
>
> Info manuals are displayed by an Info reader, and each Info reader has
> its own solution for this problem (generally, substitution of ASCII
> characters for undisplayable Unicode ones).

Does the Emacs Info reader implement such solution?

> I was talking about reading NEWS in a general-purpose text-browsing
> program, such as Less.  It is IMO not a good idea to prevent people
> from doing that and requiring them to only read NEWS and ChangeLog
> files in Emacs.

When I tried to read NEWS using Less in xterm, I can see all these
quotes in UTF-8, for example, the quotes in “like this”.

>> > Is this really such a bad problem that it requires us to tweak
>> > text-based modes?  What happens if you try searching for the symbol as
>> > a simple string? do you get many false positives?
>> 
>> Yes, this is a real problem.  Now I have a good habit of using
>> symbol search mode everywhere when searching for symbols.
>> But the search failure reminds that NEWS and ChangeLogs are still
>> problematic and I had to try again after switching to literal search.
>
> Can you show a real-life example, with a particular symbol, where
> using a literal search is inconvenient?

Every symbol in NEWS quoted by either ‘straight’ quoting style 'like this',
or ‘grave’ `like this'.  For example, for 'electric-quote-replace-double'
starting Isearch with ‘M-s .’, and repeating the same symbol search in the
source code.